Padshop AU version crashes Logic...

All topics on Padshop and Padshop Pro
Post Reply
blinkofani
Junior Member
Posts: 98
Joined: Mon Nov 06, 2017 3:58 am
Location: Quebec, Canada
Contact:

Padshop AU version crashes Logic...

Post by blinkofani »

Hi,
Just bought Padshop for my Cubase Elements 9.5.20 AND to have a AU version for LogicPro. All seems to be fine with the VST3 version in Cubase but the AU crashes like crazy( or just doesn't load saying it "failed" and to contact manufacturer). Version is up to date and I also installed the AUpatch thing that dates from a while. Anybody having success with Padshop in Logic and Sierra 10.12.6? Thanks.

Blink
27’’ iMac i5 w/24gb ram, macOS10.14.6, Cubase Artist 10.0.20, Logic Pro 10.4.7, PT 2019.10, UA Arrow, UAD Satellite Quad, Genelec 8040a, Komplete 8, Omnisphere, Korg Legacy Collections, Waves Studio Classic Collection & Dave Clarke EMP. Korg Z1ex, Gibson LP Classic, Fender Telecaster.

Romantique Tp
External Moderator
Posts: 2877
Joined: Fri Aug 07, 2015 3:25 pm
Contact:

Re: Padshop AU version crashes Logic...

Post by Romantique Tp »

Apple changed something about how AUs work in Logic that's causing issues with Steinberg's older plugins. You'll have to wait for an update.

Newer plugins such as Halion 6, Halion Sonic 3, Retrologue 2 and Groove Agent 4 are working fine.
Every time someone says "it must be easy to add/fix", a programmer dies.

Cubase Pro and Wavelab Pro (latest), Windows 7 Ultimate 64-bit, MSI Z87-G45 GAMING, i5 4690k, GeForce GTX 760, almost every Steinberg plugin and expansion, Trilian, Komplete 10, etc etc etc etc

blinkofani
Junior Member
Posts: 98
Joined: Mon Nov 06, 2017 3:58 am
Location: Quebec, Canada
Contact:

Re: Padshop AU version crashes Logic...

Post by blinkofani »

Romantique Tp wrote:
Sun Apr 22, 2018 6:44 pm
Apple changed something about how AUs work in Logic that's causing issues with Steinberg's older plugins. You'll have to wait for an update.

Newer plugins such as Halion 6, Halion Sonic 3, Retrologue 2 and Groove Agent 4 are working fine.
Thanks for the reply. In effect, Retrologue 2 is working fine since the last update. I thought I would be ok since they say that it's mainly with High Sierra that it's unstable but I'm still on Sierra. Anyway, will have to wait I guess. I bought it mainly for Cubase anyway, the VST3 seems to be fine. Thanks.

Blink
27’’ iMac i5 w/24gb ram, macOS10.14.6, Cubase Artist 10.0.20, Logic Pro 10.4.7, PT 2019.10, UA Arrow, UAD Satellite Quad, Genelec 8040a, Komplete 8, Omnisphere, Korg Legacy Collections, Waves Studio Classic Collection & Dave Clarke EMP. Korg Z1ex, Gibson LP Classic, Fender Telecaster.

Post Reply

Return to “Padshop and Padshop Pro”

Who is online

Users browsing this forum: No registered users and 1 guest